Package org.jfree.layouting.layouter.style.resolver

## Class AbstractStyleResolver.AbstractStyleResolverState

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.AbstractStyleResolver.AbstractStyleResolverState

- All Implemented Interfaces:
    `java.io.Serializable`, `State`
  Enclosing class:
    AbstractStyleResolver

      protected abstract static class AbstractStyleResolver.AbstractStyleResolverState
      extends java.lang.Object
      implements State

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractStyleResolverState​()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract AbstractStyleResolver` | `create​()` |
    `protected void` | `fill​(AbstractStyleResolver resolver, LayoutProcess layoutProcess)` |
    `LayoutStyle` | `getInitialStyle​()` |
    `StyleKey[]` | `getKeys​()` |
    `StatefullComponent` | `restore​(LayoutProcess layoutProcess)` | Creates a restored instance of the saved component.
    `void` | `setInitialStyle​(LayoutStyle initialStyle)` |
    `void` | `setKeys​(StyleKey[] keys)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractStyleResolverState

          protected AbstractStyleResolverState​()

  - ### Method Detail

    - #### getInitialStyle

          public LayoutStyle getInitialStyle​()

    - #### setInitialStyle

          public void setInitialStyle​(LayoutStyle initialStyle)

    - #### create

          protected abstract AbstractStyleResolver create​()

    - #### restore

          public StatefullComponent restore​(LayoutProcess layoutProcess)
                                     throws StateException

      Description copied from interface: `State`
      Creates a restored instance of the saved component. By using this factory-like approach, we gain independence from having to know the actual implementation. This makes things a lot easier.
      Specified by:
        `restore` in interface `State`
      Parameters:
        `layoutProcess` - the layout process that controls it all
      Returns:
        the saved state
      Throws:
        `StateException`

    - #### fill

          protected void fill​(AbstractStyleResolver resolver,
                              LayoutProcess layoutProcess)

    - #### getKeys

          public StyleKey[] getKeys​()

    - #### setKeys

          public void setKeys​(StyleKey[] keys)